Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPImageWriter Class Reference

`#include <vtkPImageWriter.h>`

Inheritance diagram for vtkPImageWriter:

[legend]
Collaboration diagram for vtkPImageWriter:

[legend]
List of all members.

## Public Types
typedef vtkImageWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetMemoryLimit (unsigned long)
virtual unsigned long | GetMemoryLimit ()
## Static Public Methods
vtkPImageWriter * | New ()
int | IsTypeOf (const char *type)
vtkPImageWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPImageWriter ()
| ~vtkPImageWriter ()
virtual void | RecursiveWrite (int dim, vtkImageData *region, ofstream *file)
virtual void | RecursiveWrite (int dim, vtkImageData *cache, vtkImageData *data, ofstream *file)
## Protected Attributes
unsigned long | MemoryLimit
vtkPipelineSize * | SizeEstimator

## Member Typedef Documentation

typedef vtkImageWriter vtkPImageWriter::Superclass

| Reimplemented from vtkImageWriter. Definition at line 50 of file vtkPImageWriter.h.

## Constructor & Destructor Documentation

vtkPImageWriter::vtkPImageWriter | ( |  | ) | `[protected]`

vtkPImageWriter::~vtkPImageWriter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkPImageWriter* vtkPImageWriter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageWriter.

virtual const char* vtkPImageWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageWriter.

int vtkPImageWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageWriter.

virtual int vtkPImageWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageWriter.

vtkPImageWriter* vtkPImageWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageWriter.

void vtkPImageWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageWriter.

virtual void vtkPImageWriter::SetMemoryLimit | ( | unsigned | long | ) | `[virtual]`

| Set / Get the memory limit in kilobytes. The writer will stream to attempt to keep the pipeline size within this limit

virtual unsigned long vtkPImageWriter::GetMemoryLimit | ( |  | ) | `[virtual]`

| Set / Get the memory limit in kilobytes. The writer will stream to attempt to keep the pipeline size within this limit

virtual void vtkPImageWriter::RecursiveWrite | ( | int | dim,
|  | vtkImageData * | region,
|  | ofstream * | file
| ) | `[protected, virtual]`

| Reimplemented from vtkImageWriter.

virtual void vtkPImageWriter::RecursiveWrite | ( | int | dim,
|  | vtkImageData * | cache,
|  | vtkImageData * | data,
|  | ofstream * | file
| ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageWriter. Definition at line 67 of file vtkPImageWriter.h. References vtkImageWriter::RecursiveWrite().

## Member Data Documentation

unsigned long vtkPImageWriter::MemoryLimit`[protected]`

| Definition at line 64 of file vtkPImageWriter.h.

vtkPipelineSize* vtkPImageWriter::SizeEstimator`[protected]`

| Definition at line 71 of file vtkPImageWriter.h.

The documentation for this class was generated from the following file:

- Parallel/vtkPImageWriter.h